# [Django Material Dashboard](https://app-generator.dev/docs/products/django-libs/theme-material-dashboard.html)

Modern template for **[Django Admin](https://app-generator.dev/docs/products/django-libs/theme-material-dashboard.html)**, Auth Pages (registration included) crafted on top of **Material Dashboard**, an open-source **Bootstrap** design.

- [Django Admin Material](https://app-generator.dev/docs/products/django-libs/theme-material-dashboard.html) - **Documentation** & Support Links
- [Django Material Dashboard](https://app-generator.dev/product/material-dashboard/django/) - The product that uses the library
- [Getting Started with Django](https://app-generator.dev/docs/technologies/django/index.html) - Learn how to code **Django** Projects

<br />

## **Features**

- Design: **[Material Dashboard](https://app-generator.dev/docs/templates/bootstrap/material-dashboard.html)** (Bootstrap)
- **Sections Covered**: 
  - `Admin Section`, reserved for `superusers`
  - `All pages` managed by `Django.contrib.AUTH`
  - `Registration` page
  - `Misc pages`: colors, icons, typography, blank-page 
  
<br />

![Django Material Dashboard - Modern template for Django Admin Section crafted on top of a modern Bootstrap Design.](https://github.com/user-attachments/assets/532e06c1-1af3-4439-93fc-6de3a9d43c52)

<br />

## [Material Dashboard PRO](https://app-generator.dev/product/material-dashboard-pro/django/)

> The **premium version** provides more features, priority on support, and is more often updated - [Live Demo](https://django-material-dash2-pro.onrender.com/).

- **Simple, Easy-to-Extend** Codebase
- **Material Dashboard PRO** Design - The premium version
- Bootstrap 5 CSS
- **OAuth** - Github
- **Extended User Profile**
- **API** via DRF 
- **Charts** via ApexJS 
- **Celery** (async tasks)
- **Deployment-Ready** for Render 

![Django Material Dashboard PRO - Premium starter powered by Django and Bootstrap 5 - actively supported provided by App-Generator.](https://github.com/user-attachments/assets/c75c6e67-a940-4d56-9855-070f901ab5ab)

<br />

---
**[Django Material Dashboard](https://app-generator.dev/docs/products/django-libs/theme-material-dashboard.html)** - Modern Django Admin Interface provided by **[App-Generator](https://app-generator.dev)**
